# Class FilterSelectorController

FilterSelector Controller

Used metadata:

- `directedFilterAttributes`: List of attribute names which should have rules already ready when using the filter tools. For WMS layers.

Used functionalities:

- `preset_layer_filter`: Name of the layer (data source) that should be toggled in the filter tool upon loading an application. Note: although this is a list, only one can be defined.
- `filterable_layers`: A list of layer names that can be filtered, if empty the component will be hidden.

#### Hierarchy

- FilterSelectorController

- Defined in src/filters/filterselectorComponent.js:112

#####
Index

### Constructors

constructor

### Properties

aRuleIsActive
active
customRules
directedRules
enableDataSourceRegistration_
featureOverlay
filtrableDataSources
gmfDataSourceBeingFiltered
gmfSavedFilters
map
readyDataSource
saveFilterManageModalShown
saveFilterName
saveFilterSaveModalShown
toolGroup

### Methods

$onDestroy

## Constructors

### constructor

- new FilterSelectorController($scope: IScope, $timeout: ITimeoutService, gettextCatalog: gettextCatalog, gmfDataSourceBeingFiltered: any, gmfDataSourcesHelper: any, gmfSavedFilters: any, ngeoRuleHelper: RuleHelper): FilterSelectorController

- ### Ng Inject

  ### Ngdoc

  controller

  ### Ngname

  GmfFilterselectorController

  #### Parameters

  - ##### $scope: IScope

    Angular scope.

  - ##### $timeout: ITimeoutService

    Angular timeout service.

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  - ##### gmfDataSourceBeingFiltered: any

    The Gmf value service that determines the data source currently being filtered.

  - ##### gmfDataSourcesHelper: any

    Gmf data sources helper service.

  - ##### gmfSavedFilters: any

    Gmf saved filters service.

  - ##### ngeoRuleHelper: RuleHelper

    Ngeo rule helper service.

  #### Returns FilterSelectorController

  - Defined in src/filters/filterselectorComponent.js:127

## Properties

### aRuleIsActive

aRuleIsActive: boolean

- Defined in src/filters/filterselectorComponent.js:239
- Defined in src/filters/filterselectorComponent.js:569

### active

active: boolean

- Defined in src/filters/filterselectorComponent.js:141
- Defined in src/filters/filterselectorComponent.js:583

### customRules

customRules: default[]

- Defined in src/filters/filterselectorComponent.js:244
- Defined in src/filters/filterselectorComponent.js:570
- Defined in src/filters/filterselectorComponent.js:610
- Defined in src/filters/filterselectorComponent.js:695
- Defined in src/filters/filterselectorComponent.js:705

### directedRules

directedRules: default[]

- Defined in src/filters/filterselectorComponent.js:249
- Defined in src/filters/filterselectorComponent.js:571
- Defined in src/filters/filterselectorComponent.js:611
- Defined in src/filters/filterselectorComponent.js:696
- Defined in src/filters/filterselectorComponent.js:706

### enableDataSourceRegistration_

enableDataSourceRegistration_: boolean

- Defined in src/filters/filterselectorComponent.js:317
- Defined in src/filters/filterselectorComponent.js:370

### featureOverlay

featureOverlay: FeatureOverlay

- Defined in src/filters/filterselectorComponent.js:226

### filtrableDataSources

filtrableDataSources: any[]

- Defined in src/filters/filterselectorComponent.js:254

### gmfDataSourceBeingFiltered

gmfDataSourceBeingFiltered: any

The data source that can either be selected from the list or have its value set from an external source (for example: the layertree) and that requires to be ready before it can be filtered.

- Defined in src/filters/filterselectorComponent.js:174

### gmfSavedFilters

gmfSavedFilters: any

- Defined in src/filters/filterselectorComponent.js:190

### map

map: Map

- Defined in src/filters/filterselectorComponent.js:146

### readyDataSource

readyDataSource: any

The data source ready to be filtered, after it has been selected and prepared.

- Defined in src/filters/filterselectorComponent.js:283
- Defined in src/filters/filterselectorComponent.js:572
- Defined in src/filters/filterselectorComponent.js:612

### saveFilterManageModalShown

saveFilterManageModalShown: boolean

- Defined in src/filters/filterselectorComponent.js:197
- Defined in src/filters/filterselectorComponent.js:312
- Defined in src/filters/filterselectorComponent.js:725

### saveFilterName

saveFilterName: string

- Defined in src/filters/filterselectorComponent.js:300
- Defined in src/filters/filterselectorComponent.js:307

### saveFilterSaveModalShown

saveFilterSaveModalShown: boolean

- Defined in src/filters/filterselectorComponent.js:294
- Defined in src/filters/filterselectorComponent.js:641
- Defined in src/filters/filterselectorComponent.js:678

### toolGroup

toolGroup: string

- Defined in src/filters/filterselectorComponent.js:151

## Methods

### $onDestroy

- $onDestroy(): void

- Clear subscriptions.

  #### Returns void

  - Defined in src/filters/filterselectorComponent.js:340

Generated using TypeDoc